io.etcd.jetcd.api

## Interface AuthUserAddRequestOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  AuthUserAddRequest, AuthUserAddRequest.Builder

    public interface AuthUserAddRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getName()` `string name = 1;`
`com.google.protobuf.ByteString` `getNameBytes()` `string name = 1;`
`String` `getPassword()` `string password = 2;`
`com.google.protobuf.ByteString` `getPasswordBytes()` `string password = 2;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getName

    String getName()

`string name = 1;`

Returns:
  The name.

#### getNameBytes

    com.google.protobuf.ByteString getNameBytes()

`string name = 1;`

Returns:
  The bytes for name.

#### getPassword

    String getPassword()

`string password = 2;`

Returns:
  The password.

#### getPasswordBytes

    com.google.protobuf.ByteString getPasswordBytes()

`string password = 2;`

Returns:
  The bytes for password.